List Subscription Jobs

Retrieve a paginated list of all subscription jobs created by your tenant. Results are returned in descending order by creation time (createdAt). You can apply filters based on time period, date range, job status, and job type.

Period can be specified as day, month, or year. If day is selected, you can specify a range of days (e.g., 2024-09-01 to 2024-09-07). For month, you can specify a range of months (e.g., 2024-09 to 2024-10). For year, you can specify a range of years (e.g., 2024 to 2025 for the entire year).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
enum

The time period type you want to filter jobs by.

Valid values:

  • day
  • month
  • year
Allowed:
string

Start day/month/year(inclusive) for the selected period.

Start format depends on the period type:

  • day: YYYY-MM-DD (e.g., 2024-09-01)
  • month: YYYY-MM (e.g., 2024-09)
  • year: YYYY (e.g., 2024)
string

End day/month/year(inclusive) for the selected period.

End format depends on the period type:

  • day: YYYY-MM-DD (e.g., 2024-09-30)
  • month: YYYY-MM (e.g., 2024-10)
  • year: YYYY (e.g., 2025)
string
enum

Filter jobs by their status.

Valid values:

  • failed
  • accepted
  • processing
  • finished
Allowed:
string
enum

Type of subscription job to filter by.

Valid values:

  • notificationSubscriptionCreate
  • notificationSubscriptionUpdate
Allowed:
string

Page number to retrieve. Must be 1 or higher.

string

Number of results per page (max 50).

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/xml